Subject: bug#37051: 26.2.90; feature request: C-x 8 <SYMBOL> Prefix Command for letter with macron

From: Robert Pluim <[email-masked]>
Date: Thu, 22 Aug 2019 15:04:55 +0200

>>>>> On Thu, 22 Aug 2019 21:46:59 +1000, VanL <[email-masked]> said:

    VanL> Robert Pluim <[email-masked]> writes:
    >> Would you consider using the chinese-sisheng input method?

    VanL> Thanks Robert for the tip on how to make use of chinese-sisheng.  This
    VanL> input method does exactly what I need in that situation.  I am trying to
    VanL> use Emacs to write email and have lost track of your post this one is in
    VanL> reply to.  So, discoverability in the docs for typing with macron in
    VanL> Chinese poem titles as presented is what's needed.  When I next go past
    VanL> emacs-27 I will definitely try the hawaiin input method.

Something like the following, perhaps? Eli, can this still go into
emacs-26, given that weʼre at -rc1?

diff --git i/doc/emacs/mule.texi w/doc/emacs/mule.texi
index b3e7d218c6..4ed13b8787 100644
--- i/doc/emacs/mule.texi
+++ w/doc/emacs/mule.texi
@@ -497,6 +497,10 @@ Input Methods
 do the highlighting in the buffer showing the possible characters,
 rather than in the echo area.
 
+  To enter characters according to the @dfn{pīnyīn} transliteration
+method instead, use the @code{chinese-sisheng} input method.  This is
+a composition based method, where e.g. @kbd{pi1} results in @samp{pī}.
+
   In Japanese input methods, first you input a whole word using
 phonetic spelling; then, after the word is in the buffer, Emacs
 converts it into one or more characters using a large dictionary.  One